--
-- Indexes
--

drop index IX_F0A86A4F;
drop index IX_DED782CE;

drop index IX_D67292FC;

drop index IX_10563688;

--
-- 5.1.2-5.2.0
--
-- Removed WSRP tables.
--

alter table Company add homeURL varchar(4000);

alter table ExpandoColumn add companyId int64;
alter table ExpandoColumn add defaultData varchar(4000);
alter table ExpandoColumn add typeSettings blob;

alter table ExpandoRow add companyId int64;

alter table ExpandoTable add companyId int64;

alter table ExpandoValue add companyId int64;

alter table JournalArticleImage add elInstanceId varchar(75);

alter table JournalStructure add parentStructureId varchar(75);

create table MBMailingList (
	uuid_ varchar(75),
	mailingListId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	categoryId int64,
	emailAddress varchar(75),
	inProtocol varchar(75),
	inServerName varchar(75),
	inServerPort integer,
	inUseSSL smallint,
	inUserName varchar(75),
	inPassword varchar(75),
	inReadInterval integer,
	outEmailAddress varchar(75),
	outCustom smallint,
	outServerName varchar(75),
	outServerPort integer,
	outUseSSL smallint,
	outUserName varchar(75),
	outPassword varchar(75),
	active_ smallint
);

alter table Organization_ add type_ varchar(75);

alter table Role_ add title varchar(4000);
alter table Role_ add subtype varchar(75);

alter table TagsAsset add visible smallint;

commit;


alter table TagsEntry add groupId int64;
alter table TagsEntry add parentEntryId int64;
alter table TagsEntry add vocabularyId int64;

commit;


create table TagsVocabulary (
	vocabularyId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	name varchar(75),
	description varchar(75),
	folksonomy smallint
);

alter table User_ add reminderQueryQuestion varchar(4000);
alter table User_ add reminderQueryAnswer varchar(4000);

--
-- 5.2.0-5.2.1
--


--
-- 5.2.2-5.2.3
--
-- Most commands were the same as 5.1.4-5.1.5 except the following.
--

alter table JournalArticle add urlTitle varchar(150);

commit;


--
-- 5.2.4-5.2.5
--

create table UserGroupGroupRole (
	userGroupId int64 not null,
	groupId int64 not null,
	roleId int64 not null,
	primary key (userGroupId, groupId, roleId)
);

--
-- 5.2.6-5.2.7
--

alter table Release_ add servletContextName varchar(75);

commit;

