//
// Indexes
//

drop index IX_F0A86A4F;
drop index IX_DED782CE;

drop index IX_D67292FC;

drop index IX_10563688;

//
// 5.1.2-5.2.0
//
// Removed WSRP tables.
//

alter table Company add homeURL longvarchar null;

alter table ExpandoColumn add companyId bigint;
alter table ExpandoColumn add defaultData longvarchar null;
alter table ExpandoColumn add typeSettings longvarchar null;

alter table ExpandoRow add companyId bigint;

alter table ExpandoTable add companyId bigint;

alter table ExpandoValue add companyId bigint;

alter table JournalArticleImage add elInstanceId varchar(75) null;

alter table JournalStructure add parentStructureId varchar(75);

create table MBMailingList (
	uuid_ varchar(75) null,
	mailingListId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName varchar(75) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	categoryId bigint,
	emailAddress varchar(75) null,
	inProtocol varchar(75) null,
	inServerName varchar(75) null,
	inServerPort int,
	inUseSSL bit,
	inUserName varchar(75) null,
	inPassword varchar(75) null,
	inReadInterval int,
	outEmailAddress varchar(75) null,
	outCustom bit,
	outServerName varchar(75) null,
	outServerPort int,
	outUseSSL bit,
	outUserName varchar(75) null,
	outPassword varchar(75) null,
	active_ bit
);

alter table Organization_ add type_ varchar(75);

alter table Role_ add title longvarchar null;
alter table Role_ add subtype varchar(75);

alter table TagsAsset add visible bit;

commit;

update TagsAsset set visible = true;

alter table TagsEntry add groupId bigint;
alter table TagsEntry add parentEntryId bigint;
alter table TagsEntry add vocabularyId bigint;

commit;

update TagsEntry set groupId = 0;
update TagsEntry set parentEntryId = 0;
update TagsEntry set vocabularyId = 0;

create table TagsVocabulary (
	vocabularyId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName varchar(75) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name varchar(75) null,
	description varchar(75) null,
	folksonomy bit
);

alter table User_ add reminderQueryQuestion longvarchar null;
alter table User_ add reminderQueryAnswer longvarchar null;

//
// 5.2.0-5.2.1
//

update Organization_ set type_ = 'regular-organization' where type_ = 'regular';

//
// 5.2.2-5.2.3
//
// Most commands were the same as 5.1.4-5.1.5 except the following.
//

alter table JournalArticle add urlTitle varchar(150) null;

commit;

update JournalArticle set urlTitle = articleId;

//
// 5.2.4-5.2.5
//

create table UserGroupGroupRole (
	userGroupId bigint not null,
	groupId bigint not null,
	roleId bigint not null,
	primary key (userGroupId, groupId, roleId)
);

//
// 5.2.6-5.2.7
//

alter table Release_ add servletContextName varchar(75);

commit;

update Release_ set servletContextName = 'portal';
