--
-- Indexes
--

drop index IX_F0A86A4F;
drop index IX_DED782CE;

drop index IX_D67292FC;

drop index IX_10563688;

--
-- 5.1.2-5.2.0
--
-- Removed WSRP tables.
--

alter table Company add homeURL lvarchar;

alter table ExpandoColumn add companyId int8;
alter table ExpandoColumn add defaultData lvarchar;
alter table ExpandoColumn add typeSettings lvarchar(4096);

alter table ExpandoRow add companyId int8;

alter table ExpandoTable add companyId int8;

alter table ExpandoValue add companyId int8;

alter table JournalArticleImage add elInstanceId varchar(75);

alter table JournalStructure add parentStructureId varchar(75);

create table MBMailingList (
	uuid_ varchar(75),
	mailingListId int8 not null primary key,
	groupId int8,
	companyId int8,
	userId int8,
	userName varchar(75),
	createDate datetime YEAR TO FRACTION,
	modifiedDate datetime YEAR TO FRACTION,
	categoryId int8,
	emailAddress varchar(75),
	inProtocol varchar(75),
	inServerName varchar(75),
	inServerPort int,
	inUseSSL boolean,
	inUserName varchar(75),
	inPassword varchar(75),
	inReadInterval int,
	outEmailAddress varchar(75),
	outCustom boolean,
	outServerName varchar(75),
	outServerPort int,
	outUseSSL boolean,
	outUserName varchar(75),
	outPassword varchar(75),
	active_ boolean
)
extent size 16 next size 16
lock mode row;

alter table Organization_ add type_ varchar(75);

alter table Role_ add title lvarchar;
alter table Role_ add subtype varchar(75);

alter table TagsAsset add visible boolean;



update TagsAsset set visible = 'T';

alter table TagsEntry add groupId int8;
alter table TagsEntry add parentEntryId int8;
alter table TagsEntry add vocabularyId int8;



update TagsEntry set groupId = 0;
update TagsEntry set parentEntryId = 0;
update TagsEntry set vocabularyId = 0;

create table TagsVocabulary (
	vocabularyId int8 not null primary key,
	groupId int8,
	companyId int8,
	userId int8,
	userName varchar(75),
	createDate datetime YEAR TO FRACTION,
	modifiedDate datetime YEAR TO FRACTION,
	name varchar(75),
	description varchar(75),
	folksonomy boolean
)
extent size 16 next size 16
lock mode row;

alter table User_ add reminderQueryQuestion lvarchar;
alter table User_ add reminderQueryAnswer lvarchar;

--
-- 5.2.0-5.2.1
--

update Organization_ set type_ = 'regular-organization' where type_ = 'regular';

--
-- 5.2.2-5.2.3
--
-- Most commands were the same as 5.1.4-5.1.5 except the following.
--

alter table JournalArticle add urlTitle varchar(150);



update JournalArticle set urlTitle = articleId;

--
-- 5.2.4-5.2.5
--

create table UserGroupGroupRole (
	userGroupId int8 not null,
	groupId int8 not null,
	roleId int8 not null,
	primary key (userGroupId, groupId, roleId)
)
extent size 16 next size 16
lock mode row;

--
-- 5.2.6-5.2.7
--

alter table Release_ add servletContextName varchar(75);



update Release_ set servletContextName = 'portal';
