--
-- Indexes
--

drop index IX_F0A86A4F on ExpandoTable;
drop index IX_DED782CE on ExpandoTable;

drop index IX_D67292FC on JournalArticleImage;

drop index IX_10563688 on TagsEntry;

--
-- 5.1.2-5.2.0
--
-- Removed WSRP tables.
--

alter table Company add homeURL nvarchar(2000) null;

alter table ExpandoColumn add companyId bigint;
alter table ExpandoColumn add defaultData nvarchar(2000) null;
alter table ExpandoColumn add typeSettings ntext null;

alter table ExpandoRow add companyId bigint;

alter table ExpandoTable add companyId bigint;

alter table ExpandoValue add companyId bigint;

alter table JournalArticleImage add elInstanceId nvarchar(75) null;

alter table JournalStructure add parentStructureId nvarchar(75);

create table MBMailingList (
	uuid_ nvarchar(75) null,
	mailingListId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime null,
	modifiedDate datetime null,
	categoryId bigint,
	emailAddress nvarchar(75) null,
	inProtocol nvarchar(75) null,
	inServerName nvarchar(75) null,
	inServerPort int,
	inUseSSL bit,
	inUserName nvarchar(75) null,
	inPassword nvarchar(75) null,
	inReadInterval int,
	outEmailAddress nvarchar(75) null,
	outCustom bit,
	outServerName nvarchar(75) null,
	outServerPort int,
	outUseSSL bit,
	outUserName nvarchar(75) null,
	outPassword nvarchar(75) null,
	active_ bit
);

alter table Organization_ add type_ nvarchar(75);

alter table Role_ add title nvarchar(2000) null;
alter table Role_ add subtype nvarchar(75);

alter table TagsAsset add visible bit;

go

update TagsAsset set visible = 1;

alter table TagsEntry add groupId bigint;
alter table TagsEntry add parentEntryId bigint;
alter table TagsEntry add vocabularyId bigint;

go

update TagsEntry set groupId = 0;
update TagsEntry set parentEntryId = 0;
update TagsEntry set vocabularyId = 0;

create table TagsVocabulary (
	vocabularyId bigint not null primary key,
	groupId bigint,
	companyId bigint,
	userId bigint,
	userName nvarchar(75) null,
	createDate datetime null,
	modifiedDate datetime null,
	name nvarchar(75) null,
	description nvarchar(75) null,
	folksonomy bit
);

alter table User_ add reminderQueryQuestion nvarchar(2000) null;
alter table User_ add reminderQueryAnswer nvarchar(2000) null;

--
-- 5.2.0-5.2.1
--

update Organization_ set type_ = 'regular-organization' where type_ = 'regular';

--
-- 5.2.2-5.2.3
--
-- Most commands were the same as 5.1.4-5.1.5 except the following.
--

alter table JournalArticle add urlTitle nvarchar(150) null;

go

update JournalArticle set urlTitle = articleId;

--
-- 5.2.4-5.2.5
--

create table UserGroupGroupRole (
	userGroupId bigint not null,
	groupId bigint not null,
	roleId bigint not null,
	primary key (userGroupId, groupId, roleId)
);

--
-- 5.2.6-5.2.7
--

alter table Release_ add servletContextName nvarchar(75);

go

update Release_ set servletContextName = 'portal';
