--
-- Indexes
--

drop index ExpandoTable;.IX_F0A86A4F;
drop index ExpandoTable;.IX_DED782CE;

drop index JournalArticleImage;.IX_D67292FC;

drop index TagsEntry;.IX_10563688;

--
-- 5.1.2-5.2.0
--
-- Removed WSRP tables.
--

alter table Company add homeURL varchar(1000) null;

alter table ExpandoColumn add companyId decimal(20,0)
go
alter table ExpandoColumn add defaultData varchar(1000) null;
alter table ExpandoColumn add typeSettings text null;

alter table ExpandoRow add companyId decimal(20,0)
go

alter table ExpandoTable add companyId decimal(20,0)
go

alter table ExpandoValue add companyId decimal(20,0)
go

alter table JournalArticleImage add elInstanceId varchar(75) null;

alter table JournalStructure add parentStructureId varchar(75)
go

create table MBMailingList (
	uuid_ varchar(75) null,
	mailingListId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate datetime null,
	modifiedDate datetime null,
	categoryId decimal(20,0),
	emailAddress varchar(75) null,
	inProtocol varchar(75) null,
	inServerName varchar(75) null,
	inServerPort int,
	inUseSSL int,
	inUserName varchar(75) null,
	inPassword varchar(75) null,
	inReadInterval int,
	outEmailAddress varchar(75) null,
	outCustom int,
	outServerName varchar(75) null,
	outServerPort int,
	outUseSSL int,
	outUserName varchar(75) null,
	outPassword varchar(75) null,
	active_ int
)
go

alter table Organization_ add type_ varchar(75)
go

alter table Role_ add title varchar(1000) null;
alter table Role_ add subtype varchar(75)
go

alter table TagsAsset add visible int;

go

update TagsAsset set visible = 1;

alter table TagsEntry add groupId decimal(20,0)
go
alter table TagsEntry add parentEntryId decimal(20,0)
go
alter table TagsEntry add vocabularyId decimal(20,0)
go

go

update TagsEntry set groupId = 0;
update TagsEntry set parentEntryId = 0;
update TagsEntry set vocabularyId = 0;

create table TagsVocabulary (
	vocabularyId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate datetime null,
	modifiedDate datetime null,
	name varchar(75) null,
	description varchar(75) null,
	folksonomy int
)
go

alter table User_ add reminderQueryQuestion varchar(1000) null;
alter table User_ add reminderQueryAnswer varchar(1000) null;

--
-- 5.2.0-5.2.1
--

update Organization_ set type_ = 'regular-organization' where type_ = 'regular';

--
-- 5.2.2-5.2.3
--
-- Most commands were the same as 5.1.4-5.1.5 except the following.
--

alter table JournalArticle add urlTitle varchar(150) null;

go

update JournalArticle set urlTitle = articleId;

--
-- 5.2.4-5.2.5
--

create table UserGroupGroupRole (
	userGroupId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	primary key (userGroupId, groupId, roleId)
)
go

--
-- 5.2.7-5.2.8
--

alter table DLFileVersion add description varchar(1000) null;
